Subject: RE: [Sip] changes in session timer

From: "Rosen, Brian" <[email-masked]>
Date: Wed, 25 Feb 2004 08:55:20 -0500

> * There is now an absolute minimum session timer of 90 
> seconds. This is 
> basically enough time for completion of a SIP BYE transaction 
> after half 
> of the session has expired. The Min-SE header field now has a default 
> value of 90 seconds when not present. This will preclude usage of 
> session timer for really fine grained refreshes, say on the 
> order of 5 
> to 10 seconds. I fear that some people may be trying to do 
> some kind of 
> nat traversal or something with session timer - this would 
> rule that out 
> formally (it was never the intended usage).
I know whenever we bring up billing people turn off, but one of the things
session timer is useful for is to tear down calls that got hosed somewhere.
Making the min 90 seconds means you could not use the mechanism -- you would
have to have some other mechanism that didn't distort your billing record
so much.  90 seconds is an eternity in human time. 

Somehow, precluding use for NAT binding keepalive doesn't sound like
a good enough reason to have such a high min.  I frankly don't understand
why there has to be a min at all; surely it depends on the characteristics
of the network the session traverses.  

Brian 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip